Subject: bug#28620: Interact directly on Emacs bug#28620: mouse drag event records wrong release window

From: Robert Weiner <[email-masked]>
Date: Thu, 19 Oct 2017 14:32:31 -0400

On Tue, Oct 17, 2017 at 4:57 AM, martin rudalics <[email-masked]> wrote:

> > ​Yes, you would need to follow a common drag-and-drop protocol.
> > I don't understand why that is an issue if that is what you want
> > to do.
>
> Wasn't that something _you_ wanted to do?  If not then we can obviously
> ignore it.

​Yes, I would like Emacs drag-and-drop to work across Emacs frames and
potentially even across other applications using whatever protocol is
common to the platform in use.

>
> >> At least for top-level windows.  This will work as long a child windows
> >> ​are fully contained by their parents which IIUC is not necessarily true
> >> ​
> ​f​
> or macOS systems.
> >
> > ​Could you give a concrete example of where this might be a problem
> > so I could test code against it?
>
> Hardly.  Child windows are a separate problem because, for example, on X
> you currently cannot drop files on them - the drop goes to the parent
> window instead.

​We would certainly live within the constraints of the drag-and-drop
protocol.
​

>
>
> >>> and (2) a function would be needed to get the attributes of
> >>   those windows.
> >
> > ​I have figured that part out from the macOS APIs.
>
> Window attributes are a problem on X.  You will learn about that as soon
> as you try to adapt your code for it.

​Ok.  It would be more helpful if you explained which problems you feel are
relevant to the discussion at hand.
​
Bob